/***************************************************************************

Another ScottFree Driver, revision 1.2 beta.
Derived from Alan Cox's "ScottFree" revision 1.14,
that work (C) 1993, 1994, 1995 Swansea University Computer Society.
This driver (C) 1998 Robert Schneck.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program (see the file 'license.txt'); if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Statement: Everything in this program has been deduced or obtained
solely from published material.  No game interpreter code has been
disassembled.

***************************************************************************/

#define strncasecmp strnicmp
/* (how strange!) */

/* Print styles */
/* These are DOS colors; options are
   0 - BLACK    4 - RED        8 - DARKGRAY   12 - LIGHTRED
   1 - BLUE     5 - MAGENTA    9 - LIGHTBLUE  13 - LIGHTMAGENTA
   2 - GREEN    6 - BROWN     10 - LIGHTGREEN 14 - YELLOW
   3 - CYAN     7 - LIGHTGRAY 11 - LIGHTCYAN  15 - WHITE  */

#define TITLE_COLOR LIGHTGRAY
#define LOOK_COLOR GREEN
#define COMMAND_COLOR RED
#define MESSAGE_COLOR CYAN
#define DIAG_COLOR LIGHTGRAY


/* Values for i/o */

#define WIDTH 80
#define MAX_INPUT_LENGTH 255
#define MAX_INPUT_WORD_LENGTH 15
#define INPUT_SCANF_FORMAT "%15s %15s %15s"
/* i.e. three words of length MAX_INPUT_WORD_LENGTH */
#define MAX_OUTPUT_LENGTH 511
#define MAX_OUTPUT_WORD_LENGTH 79

#if !defined(TRUE) || (TRUE != 1)
#define TRUE 1
#endif
#if !defined(FALSE) || (FALSE != 0)
#define FALSE 0
#endif


void Output(char* buf);
void Input(char *buf);
void PrintTitle(char *buf);
void PrintLook(char *buf);
void PrintCommand(char *buf);
void PrintMessage(char *buf);
void PrintMessageString(char *buf,char *string);
void PrintMessageNum(char* buf,int num);
void PrintDiag(char *buf);
void PrintDiagNum(char* buf,int num);
void ClearScreen(void);
void Initialize(void);
void Exit(int status);
void Delay(void);
